#include <QApplication>
#include <QMessageBox>
#include <QLockFile>
#include <QDir>
#include "legacyapp.h"

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    QLockFile lockFile(QDir::temp().absoluteFilePath("rulotro.lock"));
    if(!lockFile.tryLock(1)){
        QMessageBox msgBox;
        msgBox.setIcon(QMessageBox::Warning);
        msgBox.setText("Приложение уже запущено.\nРазрешено запускать только один экземпляр приложения.");
        msgBox.exec();
        return 1;
    }

    LegacyApp app;
    app.Init();
    return a.exec();
}
